Đến nội dung


Hình ảnh
- - - - -

[Yêu cầu] Viết hộ em cái lisp thế này. Cám ơn!


  • Please log in to reply
9 replies to this topic

#1 dovananh.xd

dovananh.xd

    biết lệnh offset

  • Members
  • PipPipPip
  • 174 Bài viết
Điểm đánh giá: 25 (tàm tạm)

Đã gửi 10 November 2011 - 02:08 PM

Z enter\ shift + chuột phải chọn Endpoint\ click điểm 1\ shift + chuột phải chọn Endpoint\ click điểm 2

Hình đã gửi

Lisp cho khung rec bên model trùng khít với khung MV bên layout, Ứng dụng trong trường hợp có nhiều, có thể là rất nhiều khung.
  • 0

#2 dovananh.xd

dovananh.xd

    biết lệnh offset

  • Members
  • PipPipPip
  • 174 Bài viết
Điểm đánh giá: 25 (tàm tạm)

Đã gửi 10 November 2011 - 04:32 PM

Em xin trình bày rõ hơn về yêu cầu của mình:
Bên model có một khung REC tỷ lệ với một khung MV bên layout, làm thế nào để đưa khung REC bên model trùng khít với khung MV bên layout? Với câu hỏi trên thì làm theo cách sau:" Z enter\ shift + chuột phải chọn Endpoint\ click điểm 1\ shift + chuột phải chọn Endpoint\ click điểm 2 " . Và vấn đề đặt ra ở đây là bên model có nhiều khung REC chứa nhiều nội dung khác nhau trong đó cần đưa sang bên layout tương tự nhau. Nhờ các pro viết dùm em cái lisp này với ạ. Thanks rất nhiều!
  • 0

#3 dovananh.xd

dovananh.xd

    biết lệnh offset

  • Members
  • PipPipPip
  • 174 Bài viết
Điểm đánh giá: 25 (tàm tạm)

Đã gửi 10 November 2011 - 08:42 PM

Các pro ơi, trả lời topic này đi:)
  • 0

#4 master_worse

master_worse

    biết lệnh offset

  • Advance Member
  • PipPipPip
  • 170 Bài viết
Điểm đánh giá: 87 (tàm tạm)

Đã gửi 10 November 2011 - 09:13 PM

Em xin trình bày rõ hơn về yêu cầu của mình:
Bên model có một khung REC tỷ lệ với một khung MV bên layout, làm thế nào để đưa khung REC bên model trùng khít với khung MV bên layout? Với câu hỏi trên thì làm theo cách sau:" Z enter\ shift + chuột phải chọn Endpoint\ click điểm 1\ shift + chuột phải chọn Endpoint\ click điểm 2 " . Và vấn đề đặt ra ở đây là bên model có nhiều khung REC chứa nhiều nội dung khác nhau trong đó cần đưa sang bên layout tương tự nhau. Nhờ các pro viết dùm em cái lisp này với ạ. Thanks rất nhiều!


Express -> layout tools -> align space


Command: <Switching to: Layout1>
Regenerating layout.
Regenerating model - caching viewports.
Command:
Command:
Command: alignspace
FIRST alignment point in MODEL space:
SECOND point in MODEL space or <Return> for none:
FIRST alignment point in PAPER space:
SECOND alignment point in PAPER space:
Paper space = Model space
..........
  • 0

Ngu dốt không đáng thẹn bằng thiếu ý chí học hỏi


Tri thức làm người ta khiêm tốn, ngu si làm người ta kiêu ngạo (Ngạn ngữ Anh)


#5 dovananh.xd

dovananh.xd

    biết lệnh offset

  • Members
  • PipPipPip
  • 174 Bài viết
Điểm đánh giá: 25 (tàm tạm)

Đã gửi 11 November 2011 - 08:50 AM


Express -> layout tools -> align space


Command: <Switching to: Layout1>
Regenerating layout.
Regenerating model - caching viewports.
Command:
Command:
Command: alignspace
FIRST alignment point in MODEL space:
SECOND point in MODEL space or <Return> for none:
FIRST alignment point in PAPER space:
SECOND alignment point in PAPER space:
Paper space = Model space
..........

Thanks!
Bác ơi, nhưng làm trong trường hợp nhiều khung giống nhau bên model và bên layout cũng có nhiều khung MV như thế thì làm cách nào cho nhanh ạ?
  • 0

#6 whatcholingon

whatcholingon

    biết lệnh break

  • Members
  • PipPipPipPip
  • 222 Bài viết
Điểm đánh giá: 37 (tàm tạm)

Đã gửi 11 November 2011 - 11:57 AM

Thanks!
Bác ơi, nhưng làm trong trường hợp nhiều khung giống nhau bên model và bên layout cũng có nhiều khung MV như thế thì làm cách nào cho nhanh ạ?


Bạn tạo khung để in à. nếu tạo khung để in. thì bạn tạo bên layout rồi copy ra nhiều layout khác. mỗi layout là một khung.
  • 0

#7 dovananh.xd

dovananh.xd

    biết lệnh offset

  • Members
  • PipPipPip
  • 174 Bài viết
Điểm đánh giá: 25 (tàm tạm)

Đã gửi 11 November 2011 - 12:18 PM


Bạn tạo khung để in à. nếu tạo khung để in. thì bạn tạo bên layout rồi copy ra nhiều layout khác. mỗi layout là một khung.

Copy sang nhiều layout thì cũng thế thôi mà, có khác gì đâu. Quan trọng là đưa nhiều khung REC bên model, mỗi khung này vào một khung MView bên layout
  • 0

#8 lp_hai

lp_hai

    biết lệnh measure

  • Members
  • PipPipPipPipPipPip
  • 456 Bài viết
Điểm đánh giá: 202 (khá)

Đã gửi 11 November 2011 - 12:49 PM

nếu cái khung bên model của bạn là một rectang thì bạn có thể xài lisp này. Sau khi bạn gõ lệnh zs bạn chọn cái khung là lisp làm việc!!

(defun c:zs(/ dt)
(command "Mspace")
(setq dt (car(entsel))
)
(command "zoom" (vlax-curve-getPointatParam dt 1) (vlax-curve-getPointatParam dt 3))
(command "pspace")
(princ)
)

  • 3
Hình đã gửi

#9 dovananh.xd

dovananh.xd

    biết lệnh offset

  • Members
  • PipPipPip
  • 174 Bài viết
Điểm đánh giá: 25 (tàm tạm)

Đã gửi 11 November 2011 - 01:44 PM

nếu cái khung bên model của bạn là một rectang thì bạn có thể xài lisp này. Sau khi bạn gõ lệnh zs bạn chọn cái khung là lisp làm việc!!


(defun c:zs(/ dt)
(command "Mspace")
(setq dt (car(entsel))
)
(command "zoom" (vlax-curve-getPointatParam dt 1) (vlax-curve-getPointatParam dt 3))
(command "pspace")
(princ)
)

Thanks pro nhiều lắm!
Dùng thế này cũng đã tiện hơn rất nhiều rồi.
  • 0

#10 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5685 Bài viết
Điểm đánh giá: 2606 (tuyệt vời)

Đã gửi 16 November 2011 - 12:01 PM

@dovananh.xd : bạn chú ý cách đặt tiêu đề topic theo đúng nội quy yêu cầu của box. Lần sau tái phạm mình sẽ gửi ra đảo nhé :)
Yêu cầu của bạn na ná cái này nhỉ :

Hình đã gửi
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC